Redirect katello-service to foreman-maintain

05/16/2018 03:25 PM - John Mitsch

Status: Closed   

Priority: Normal   

Assignee: John Mitsch   

Category: Tooling   

Target version: Katello 3.8.0   

Difficulty:  Fixed in Releases: Katello 3.8.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/2585

  

Description

Katello-service has moved to foreman-maintain and we need to redirect katello-service to foreman-maintain starting in Katello 3.8

Associated revisions

Revision d9f3f547 - 06/13/2018 01:00 PM - John Mitsch

Fixes #23615 - Redirect katello service

Katello-service functionality has moved to foreman-maintain. We

can redirect katello-service there since it uses the same arguments.

Katello-service is used pretty widely in documenation and scripts,

I don't see a need to deprecate this just yet (we always can later).

I aligned the issue with foreman 1.19(katello 3.8), so  katello

3.7 will still have the original katello-service script.

History

#1 - 05/16/2018 03:25 PM - John Mitsch

- Assignee set to John Mitsch

#2 - 06/01/2018 09:26 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-packaging/pull/2585 added

#3 - 06/13/2018 02:01 PM - John Mitsch

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset commit:foreman-packaging|d9f3f547fc961e2ae223f30cd5e1e8a1a9f20e1d.

#4 - 07/19/2018 02:49 PM - Ewoud Kohl van Wijngaarden

- Subject changed from redirect katello-service to Redirect katello-service to foreman-maintain

- Category set to RPMs

- Triaged set to No

#5 - 07/19/2018 02:52 PM - Ewoud Kohl van Wijngaarden

- Project changed from Packaging to Katello

- Category changed from RPMs to Tooling

- Target version changed from 868 to Katello 3.8.0

- Fixed in Releases Katello 3.8.0 added
#6 - 07/25/2018 05:48 PM - Andrew Kofink

- Triaged changed from No to Yes
